apoyos/urls.py
from django.urls import path
from .views import ApoyosView, LocalidadView, LocalidadNew, LocalidadEdit, LocalidadDelete, \
    PersonaView, PersonaNew, PersonaEdit, PersonaDelete, personas_por_comunidad, getActivistas, getActivados, \
    EncargadoRutaView, EncargadoRutaNew, EncargadoRutaEdit, EncargadoRutaDelete, comunidades_por_encargado, \
    PuestoView, PuestoNew, PuestoEdit, PuestoDelete, obtenerPersona, obtener_persona_por_nombre, \
    DepartamentoView, DepartamentoNew, DepartamentoEdit, DepartamentoDelete, \
    EmpleadoView, EmpleadoNew, EmpleadoEdit, EmpleadoDelete, empleados_por_departamento, empleados_por_puesto, \
    ApoyosView, ApoyosNew, ApoyosEdit, ApoyosDelete, apoyos_por_persona, agregarApoyos, busqueda_de_personas

urlpatterns = [
    # crud localidades
    path('localidades/', LocalidadView.as_view(), name='localidades_list'),
    path('localidades/new', LocalidadNew.as_view(), name='localidades_new'),
    path('localidades/edit/<int:pk>', LocalidadEdit.as_view(), name='localidades_edit'),
    path('localidades/delete/<int:pk>', LocalidadDelete.as_view(), name='localidades_delete'),
    
    # crud personas
    path('personas/', PersonaView.as_view(), name='personas_list'),
    # path("personas/obtener-personas", obtener_personas, name="obtener_personas"),
    path('personas/new', PersonaNew.as_view(), name='personas_new'),
    path('personas/edit/<int:pk>', PersonaEdit.as_view(), name='personas_edit'),
    path('personas/delete/<int:pk>', PersonaDelete.as_view(), name="personas_delete"),
    
    # búsqueda de personas por curp
    path('personas/busqueda', busqueda_de_personas, name='busqueda'),
    
    # búsqueda de personas por id
    path('personas/buscar-persona/<int:id>', obtenerPersona, name='buscar_persona'),
    
    # búsqueda de personas por nombre
    path('personas/busqueda-por-nombre', obtener_persona_por_nombre, name='busqueda_por_nombre'),
    
    # búsqueda de persona por CURP
    # path('personas/buscar/<str:curp>', busqueda_de_persona_por_curp, name='buscar_persona'),
    
    # ver activistas
    path('personas/activistas', getActivistas, name='activistas_list'),
    # ver activados
    path('personas/activados', getActivados, name='activados_list'),
    
    # personas de cada comunidad
    path('personas/personas-por-comunidad/<int:id>', personas_por_comunidad, name='personas_por_comunidad'),
    
    # crud de encargados de ruta
    path('encargados-ruta/', EncargadoRutaView.as_view(), name='encargados_list'),
    path('encargados-ruta/new', EncargadoRutaNew.as_view(), name='encargados_new'),
    path('encargados-ruta/edit/<int:pk>', EncargadoRutaEdit.as_view(), name='encargados_edit'),
    path('encargados-ruta/delete/<int:pk>', EncargadoRutaDelete.as_view(), name="encargados_delete"),
    
    # comunidadaes que dirige cada encargado de ruta
    path('encargados-ruta/comunidades-er/<int:id>', comunidades_por_encargado, name='comunidades-er'),    
    
    # crud de puestos
    path('puestos/', PuestoView.as_view(), name='puestos_list'),
    path('puestos/new', PuestoNew.as_view(), name='puestos_new'),
    path('puestos/edit/<int:pk>', PuestoEdit.as_view(), name='puestos_edit'),
    path('puestos/delete/<int:pk>', PuestoDelete.as_view(), name='puestos_delete'),
    
    # crud de departamentos
    path('departamentos/', DepartamentoView.as_view(), name='departamentos_list'),
    path('departamentos/new', DepartamentoNew.as_view(), name='departamentos_new'),
    path('departamentos/edit/<int:pk>', DepartamentoEdit.as_view(), name='departamentos_edit'),
    path('departamentos/delete/<int:pk>', DepartamentoDelete.as_view(), name='departamentos_delete'),
    
    # crud de empleados
    path('empleados/', EmpleadoView.as_view(), name='empleados_list'),
    path('empleados/new', EmpleadoNew.as_view(), name='empleados_new'),
    path('empleados/edit/<int:pk>', EmpleadoEdit.as_view(), name='empleados_edit'),
    path('empleados/delete/<int:pk>', EmpleadoDelete.as_view(), name='empleados_delete'),
    
    # empleados de cada departamento
    path('empleados/empleados-por-departamento/<int:id>', empleados_por_departamento, name='empleados_por_departamento'),
    # empleados de cada puesto
    path('empleados/empleados-por-puesto/<int:id>', empleados_por_puesto, name='empleados_por_puesto'),
    
    # crud de apoyos
    path('apoyos/', ApoyosView.as_view(), name='apoyos_list'),
    path('apoyos/new', ApoyosNew.as_view(), name='apoyos_new'),
    path('apoyos/edit/<int:pk>', ApoyosEdit.as_view(), name='apoyos_edit'),
    path('apoyos/delete/<int:pk>', ApoyosDelete.as_view(), name='apoyos_delete'),
    
    # agregar apoyo
    path('apoyos/agregar-apoyo/<int:id>', agregarApoyos, name='agregar_apoyos'),
    
    # apoyos que ha recibido cada persona
    path('apoyos/apoyos-recibidos/<int:id>', apoyos_por_persona, name='apoyos-recibidos'),  
]

bases/urls.py
from django.urls import path
from django.contrib.auth import views as auth_views

from bases.views import *

urlpatterns = [
    path('', Home.as_view(), name='home'),
    path('login/', auth_views.LoginView.as_view(template_name='bases/login.html'), name='login'),
    path('logout/', auth_views.LogoutView.as_view(template_name='bases/login.html'), name='logout'),
    path('sin_privilegios/', HomeSinPrivilegios.as_view(), name="sin_privilegios"),
    path('bases/obtener-estadisticas/', getEstadisticas, name="obtener-estadisticas"),
        
    path('personas/menu', menu_de_personas, name='menu-personas'),
    # búsquede de persona por su curp
    path('personas/busqueda-por-curp', get_personas_por_curp, name='personas-curp'),
    
    # búsqueda de persona por nombre
    path('personas/busqueda-por-nombre', get_personas_por_nombre, name='bus_personas_por_nombre'),
    
    # filtramos las personas por departamento
    path('personas/personas-por-localidad', get_personas_por_localidad, name='personas_por_localidad'),
    
    # menu apoyos
    path('apoyos/menu', MenuApoyos.as_view(), name='menu_de_apoyos'),
    # filtrado de apoyos por departamento
    path('apoyos/apoyos-por-departamento', get_apoyos_por_departamento, name='apoyos_por_departamento'),
    # filtrado de apoyos por fecha
    path('apoyos/apoyos-por-fecha', get_apoyos_por_fecha, name="apoyos_por_fecha"),  
    # filtrado por localidad
    path('apoyos/apoyos-por-localidad', get_apoyos_por_localidad, name="apoyos_por_localidad"),  
]

gestion_apoyos/urls.py
from argparse import Namespace
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('', include(('bases.urls', 'bases'), namespace='bases')),
    path('apoyos/', include(('apoyos.urls', 'apoyos'), namespace='apoyos')),
    path('catastro/', include(('catastro.urls', 'catastro'), namespace='catastro')),
    path('admin/', admin.site.urls),
]

urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

apoyos/views.py
from django.shortcuts import render, redirect, get_object_or_404
from django.core.serializers import serialize
from django.views import generic
from django.urls import reverse_lazy
from django.contrib import messages
from .forms import ApoyosForm

from django.contrib.auth.mixins import LoginRequiredMixin, PermissionRequiredMixin
from django.contrib.messages.views import SuccessMessageMixin
from django.contrib.auth.decorators import login_required, permission_required

from bases.views import Sin_Privilegios 
from .forms import ApoyosForm, DepartamentoForm, EmpleadosForm, LocalidadesForm, PersonasForm, EncargadosRutaForm, PuestosForm
from .models import Localidad, Puesto, Persona, EncargadoRuta, Apoyos, Empleado, Departamento

# Create your views here.
class LocalidadView(Sin_Privilegios, generic.ListView):
    """ vista basada en clase para listar localidades"""
    permission_required = "apoyos.view_localidad"
    model = Localidad
    template_name = "apoyos/localidades_list.html"
    context_object_name = "obj" 
    
class LocalidadNew(SuccessMessageMixin, Sin_Privilegios, generic.CreateView):
    """ vista basada en clase para llenar form de localidad"""
    permission_required = "apoyos.add_localidad"
    model = Localidad
    template_name = "apoyos/localidades_form.html"
    context_object_name = "obj"
    form_class = LocalidadesForm    
    success_message = "Localidad agregada satisfactoriamente.."
    success_url = reverse_lazy("apoyos:localidades_list") 
        
class LocalidadEdit(SuccessMessageMixin, Sin_Privilegios, generic.UpdateView):
    """ vista basada en clase para editar form de localidad"""
    permission_required = "apoyos.change_localidad"
    model = Localidad
    template_name = "apoyos/localidades_form.html"
    context_object_name = "obj"
    form_class = LocalidadesForm    
    success_message = "Localidad actualizada satisfactoriamente.."
    success_url = reverse_lazy("apoyos:localidades_list")        
    
class LocalidadDelete(SuccessMessageMixin, Sin_Privilegios, generic.DeleteView):
    """ vista basada en clase para eliminar una localidad"""
    permission_required = "apoyos.delete_localidad"
    model = Localidad
    template_name = "apoyos/localidades_del.html"
    context_object_name = "obj"
    success_message = "Localidad eliminada satisfactoriamente.."
    success_url = reverse_lazy("apoyos:localidades_list")
    
#*********************************************************************************
# def obtener_personas(request):
#     personas = Persona.objects.all()[:80]
#     template_name = "apoyos/personas_list.html"
#     context = {'obj': personas}
    
#     return render(request, template_name, context)

class PersonaView(Sin_Privilegios, generic.ListView):
    """ vista basada en clase para listar personas"""
    permission_required = "apoyos.view_persona"
    model = Persona
    template_name = "apoyos/personas_list.html"
    context_object_name = "obj"
    
    # def get(self, request, *args, **kwargs):
    #     if request.is_ajax():
    #         return HttpResponse(serialize('json', self.get_queryset()), 'application/json')
    #     else:
    #         return render(request, self.template_name)
    
class PersonaNew(SuccessMessageMixin, Sin_Privilegios, generic.CreateView):
    """ vista basada en clase para agregar personas"""
    departamentos = Departamento.objects.all()
    permission_required = "apoyos.add_persona"
    model = Persona
    template_name = "apoyos/personas_form.html"
    context_object_name = "obj"
    form_class = PersonasForm
    success_message = "Persona agregada satisfactoriamente.."
    success_url = reverse_lazy("apoyos:personas_list")   
    
class PersonaEdit(SuccessMessageMixin, Sin_Privilegios, generic.UpdateView):
    """ vista basada en clase para actualizar personas"""
    permission_required = "apoyos.change_persona"
    model = Persona
    template_name = "apoyos/personas_form.html"
    context_object_name = "obj"
    form_class = PersonasForm
    success_message = "Persona actualizada satisfactoriamente.."
    success_url = reverse_lazy("apoyos:personas_list")    
    
class PersonaDelete(SuccessMessageMixin, Sin_Privilegios, generic.DeleteView):
    """ vista basada en clase para eliminar personas"""
    permission_required = "apoyos.delete_persona"
    model = Persona
    template_name = "apoyos/personas_del.html"
    context_object_name = "obj"
    success_message = "Persona eliminada satisfactoriamente.."
    success_url = reverse_lazy("apoyos:personas_list")
    
#*********************************************************************************

class EncargadoRutaView(Sin_Privilegios, generic.ListView):
    """ vista basada en clase para listar encargados de ruta"""
    permission_required = "apoyos.view_encargadoruta"
    model = EncargadoRuta
    template_name = "apoyos/encargados_ruta_list.html"
    context_object_name = "obj"
    
class EncargadoRutaNew(SuccessMessageMixin, Sin_Privilegios, generic.CreateView):
    """ vista basada en clase para agregar encargados de ruta"""
    permission_required = "apoyos.add_encargadoruta"
    model = EncargadoRuta
    template_name = "apoyos/encargados_ruta_form.html"
    context_object_name = "obj"
    form_class = EncargadosRutaForm
    success_message = "Encargado de ruta agregado satisfactoriamente.."
    success_url = reverse_lazy("apoyos:encargados_list")    
    
class EncargadoRutaEdit(SuccessMessageMixin, Sin_Privilegios, generic.UpdateView):
    """ vista basada en clase para actualizar encargados de ruta"""
    permission_required = "apoyos.change_encargadoruta"
    model = EncargadoRuta
    template_name = "apoyos/encargados_ruta_form.html"
    context_object_name = "obj"
    form_class = EncargadosRutaForm
    success_message = "Encargado de ruta actualizado satisfactoriamente.."
    success_url = reverse_lazy("apoyos:encargados_list")    
    
class EncargadoRutaDelete(SuccessMessageMixin, Sin_Privilegios, generic.DeleteView):
    """ vista basada en clase para eliminar encargados de ruta"""
    permission_required = "apoyos.delete_encargadoruta"
    model = EncargadoRuta
    template_name = "apoyos/encargados_ruta_del.html"
    context_object_name = "obj"
    success_message = "Encargado de ruta eliminado satisfactoriamente.."
    success_url = reverse_lazy("apoyos:encargados_list")
    
#*********************************************************************************
    
class PuestoView(Sin_Privilegios, generic.ListView):
    """ vista basada en clase para listar los puestos"""
    permission_required = "apoyos.view_puesto"
    model = Puesto
    template_name = "apoyos/puestos_list.html"
    context_object_name = "obj"    
    
class PuestoNew(SuccessMessageMixin, Sin_Privilegios, generic.CreateView):
    """ vista basada en clase para llenar form de puesto"""
    permission_required = "apoyos.add_puesto"
    model = Puesto
    template_name = "apoyos/puestos_form.html"
    context_object_name = "obj"
    form_class = PuestosForm
    success_message = "Puesto agregado satisfactoriamente.."
    success_url = reverse_lazy("apoyos:puestos_list")   
    
class PuestoEdit(SuccessMessageMixin, Sin_Privilegios, generic.UpdateView):
    """ vista basada en clase para editar form de puesto"""
    permission_required = "apoyos.change_puesto"
    model = Puesto
    template_name = "apoyos/puestos_form.html"
    context_object_name = "obj"
    form_class = PuestosForm
    success_message = "Puesto actualizado satisfactoriamente.."
    success_url = reverse_lazy("apoyos:puestos_list")    
    
class PuestoDelete(SuccessMessageMixin, Sin_Privilegios, generic.DeleteView):
    """ vista basada en clase para eliminar un puesto"""
    permission_required = "apoyos.delete_puesto"
    model = Puesto
    template_name = "apoyos/puestos_del.html"
    context_object_name = "obj"
    success_message = "Puesto eliminado satisfactoriamente.."
    success_url = reverse_lazy("apoyos:puestos_list")
    
#*********************************************************************************

class DepartamentoView(Sin_Privilegios, generic.ListView):
    """ vista basada en clase para listar los departamentos"""
    permission_required = "apoyos.view_departamento"
    model = Departamento
    template_name = "apoyos/departamentos_list.html"
    context_object_name = "obj"    
    
class DepartamentoNew(SuccessMessageMixin, Sin_Privilegios, generic.CreateView):
    """ vista basada en clase para llenar form de departamento"""
    permission_required = "apoyos.add_departamento"
    model = Departamento
    template_name = "apoyos/departamentos_form.html"
    context_object_name = "obj"
    form_class = DepartamentoForm
    success_message = "Departamento agregado satisfactoriamente.."
    success_url = reverse_lazy("apoyos:departamentos_list")    
    
class DepartamentoEdit(SuccessMessageMixin, Sin_Privilegios, generic.UpdateView):
    """ vista basada en clase para editar form de departamento"""
    permission_required = "apoyos.change_departamento"
    model = Departamento
    template_name = "apoyos/departamentos_form.html"
    context_object_name = "obj"
    form_class = DepartamentoForm
    success_message = "Departamento actualizado satisfactoriamente.."
    success_url = reverse_lazy("apoyos:departamentos_list")    

class DepartamentoDelete(SuccessMessageMixin, Sin_Privilegios, generic.DeleteView):
    """ vista basada en clase para eliminar un departamento"""
    permission_required = "apoyos.delete_departamento"
    model = Departamento
    template_name = "apoyos/departamentos_del.html"
    context_object_name = "obj"
    success_message = "Departamento eliminado satisfactoriamente.."
    success_url = reverse_lazy("apoyos:departamentos_list")
    
#*********************************************************************************

class EmpleadoView(Sin_Privilegios, generic.ListView):
    """ vista basada en clase para listar los empleados"""

apoyos/templates/apoyos/departamentos_list.html
{% extends 'base/base.html' %}

{% block page_content %}
 <!-- Dropdown Card Example -->
 <div class="card shadow mb-4">
    <!-- Card Header - Dropdown -->
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-primary">Listado de Departamentos - Pinos, Zacatecas</h6>
        <div class="dropdown no-arrow">
            <a href="{% url 'apoyos:departamentos_new' %}" class="btn btn-primary btn-icon-split btn-sm mr-2">
                <span class="icon text-white-50">
                    <i class="fa fa-user-plus"></i>
                </span>
                <span class="text font-weight-bold">Nuevo registro</span>
            </a>

            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
                <div class="dropdown-header">Acciones:</div>
                    <a class="dropdown-item" href="{% url 'apoyos:departamentos_new' %}"> <i class="fa fa-calendar-plus"></i>Nuevo</a>
                    <!-- <a class="dropdown-item" href="#">Another action</a> -->
                <div class="dropdown-divider"></div>
                <!-- <a class="dropdown-item" href="#">Something else here</a> -->
            </div>
        </div>
    </div>
    <!-- Card Body -->
    <div class="card-body">

        <!-- listado con datatables -->      
        {% if not obj %}
            <div class="alert alert-info">No Hay Departamentos</div>           
        {% else %}

        <table class="table table-bordered table-striped">
            <thead class="table-info" style="font-size: small; font-weight: bold;">
                <td>ID</td>
                <td>NOMBRE</td>
                <td>ACCIONES</td>
            </thead>

            <tbody style="font-size: small;">
                
                {% for item in obj %}
                    <tr>
                        <td>{{ item.id }}</td>
                        <td>{{ item.nombre }}</td>
                        <td>
                            <a href="{% url 'apoyos:departamentos_edit' item.id %}" class="btn btn-warning btn-circle"> <i class="far fa-edit"></i> </a>                           
                            <a href="{% url 'apoyos:departamentos_delete' item.id %}" class="btn btn-danger btn-circle"> <i class="fas fa-trash-alt"></i> </a>
                            <a href="{% url 'apoyos:empleados_por_departamento' item.id %}" class="btn btn-success btn-icon-split btn-sm">
                                <span class="icon text-white-50">
                                    <i class="fas fa-user"></i>
                                </span>
                                <span class="text font-weight-bold">Ver empleados</span>
                            </a>
                        </td>
                    </tr>
                {% endfor %}
                    
            </tbody>
        </table>
 
        <!-- <table
             id="table"
             data-toggle="table"
             data-pagination="true"
             data-page-size="5"
             data-search="true"
             data-show-columns="true"
             data-show-fullscreen="true"
             data-show-toggle="true"
             data-show-export="true"
             data-click-to-select="true"
             data-locale="es-MX"
         >
            <thead>
                <th data-field="id" data-sortable="true">Id</th>
                <th data-field="nombre" data-sortable="true">Nombre</th>   -->
                <!-- <th data-field="titular">Titular</th> -->
                <!-- <th data-field="">Teléfono</th> -->
                <!-- <th data-field="">Correo Electrónico</th>     -->
                <!-- <th class="all">Acciones</th>
            </thead>
 
            <tbody>               
                {% for item in obj %}
                    <tr>
                        <td>{{ item.id }}</td>
                        <td>{{ item.nombre }}</td> -->
                        
                        <!-- {% if item.titular %}
                            <td>{{ item.titular }}</td>
                        {% else %}
                            <td></td>
                        {% endif %} -->

                        <!-- {% if item.telefono %}
                            <td>{{ item.telefono }}</td>
                        {% else %}
                            <td></td>
                        {% endif %} -->

                        <!-- {% if item.email %}
                            <td>{{ item.email }}</td>
                        {% else %}
                            <td></td>
                        {% endif %} -->
                                                    
                        <!-- {% if obj.numero_de_empleados %}
                            <td>{{ item.numero_de_empleados }}</td>
                        {% else %}
                            <td></td>
                        {% endif %} -->
                                                                                                     
                        <!-- <td>                            
                            <a href="{% url 'apoyos:departamentos_edit' item.id %}" class="btn btn-warning btn-circle"> <i class="far fa-edit"></i> </a>                           
                            <a href="{% url 'apoyos:departamentos_delete' item.id %}" class="btn btn-danger btn-circle"> <i class="fas fa-trash-alt"></i> </a>
                            <a href="{% url 'apoyos:empleados_por_departamento' item.id %}" class="btn btn-success btn-icon-split btn-sm">
                                <span class="icon text-white-50">
                                    <i class="fas fa-user"></i>
                                </span>
                                <span class="text">Ver empleados</span>
                            </a>
                        </td>
                        
                    </tr>
                {% endfor %}
                    
            </tbody>
        </table>        -->
        {% endif %}
    </div>
</div>    

{% endblock page_content %}

{% block js_page %}
    <script>
        // llamamos al plugin datatable de jQuery
        $(document).ready( function () {
            $('.table').DataTable({
                "language": {
                    "processing": "Procesando...",
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "zeroRecords": "No se encontraron resultados",
                    "emptyTable": "Ningún dato disponible en esta tabla",
                    "infoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
                    "infoFiltered": "(filtrado de un total de _MAX_ registros)",
                    "search": "Buscar:",
                    "infoThousands": ",",
                    "loadingRecords": "Cargando...",
                    "paginate": {
                        "first": "Primero",
                        "last": "Último",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    },
                    "aria": {
                        "sortAscending": ": Activar para ordenar la columna de manera ascendente",
                        "sortDescending": ": Activar para ordenar la columna de manera descendente"
                    }
                }
            });
        });
         
    </script>
{% endblock js_page %}

apoyos/templates/apoyos/puestos_list.html
{% extends 'base/base.html' %}

{% block page_content %}
 <!-- Dropdown Card Example -->
 <div class="card shadow mb-4">
    <!-- Card Header - Dropdown -->
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-primary">Listado de Puestos Disponibles - Pinos, Zacatecas</h6>
        <div class="dropdown no-arrow">
            <a href="{% url 'apoyos:puestos_new' %}" class="btn btn-primary btn-icon-split btn-sm mr-2">
                <span class="icon text-white-50">
                    <i class="fa fa-user-plus"></i>
                </span>
                <span class="text font-weight-bold">Nuevo registro</span>
            </a>

            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
                <div class="dropdown-header">Acciones:</div>
                    <a class="dropdown-item" href="{% url 'apoyos:puestos_new' %}"> <i class="fa fa-calendar-plus"></i>Nuevo</a>
                    <!-- <a class="dropdown-item" href="#">Another action</a> -->
                <div class="dropdown-divider"></div>
                <!-- <a class="dropdown-item" href="#">Something else here</a> -->
            </div>
        </div>
    </div>
    <!-- Card Body -->
    <div class="card-body">
       
        <!-- listado con datatables -->
        {% if not obj %}
            <div class="alert alert-info">No Hay Puestos</div>           
        {% else %}

        <table class="table table-bordered table-striped">
            <thead class="table-info" style="font-size: small;">
                <th>ID</th>
                <th>NOMBRE</th>
                <th>ACCIONES</th>
            </thead>

            <tbody style="font-size: small;">
                
                {% for item in obj %}
                    <tr>
                        <td>{{ item.id }}</td>
                        <td>{{ item.nombre }}</td>
                        <td>
                            <a href="{% url 'apoyos:puestos_edit' item.id %}" class="btn btn-warning btn-circle"> <i class="far fa-edit"></i> </a>                           
                            <a href="{% url 'apoyos:puestos_delete' item.id %}" class="btn btn-danger btn-circle"> <i class="fas fa-trash-alt"></i> </a>
                            <a href="{% url 'apoyos:empleados_por_puesto' item.id %}" class="btn btn-success btn-icon-split btn-sm">
                                <span class="icon text-white-50">
                                    <i class="fas fa-user"></i>
                                </span>
                                <span class="text font-weight-bold">Ver empleados</span>
                            </a>
                        </td>
                    </tr>                    
                {% endfor %}
                    
            </tbody>
        </table>
 
        <!-- <table
             id="table"
             data-toggle="table"
             data-pagination="true"
             data-page-size="5"
             data-search="true"
             data-show-columns="true"
             data-show-fullscreen="true"
             data-show-toggle="true"
             data-show-export="true"
             data-click-to-select="true"
             data-locale="es-MX"
         >
            <thead>
                <th data-field="id" data-sortable="true">Id</th>
                <th data-field="nombre" data-sortable="true">Nombres</th>               
                <th class="all">Acciones</th>
            </thead>
 
            <tbody>               
                {% for item in obj %}
                    <tr>
                        <td>{{ item.id }}</td>
                        <td>{{ item.nombre }}</td>                       
                        
                        <td>                            
                            <a href="{% url 'apoyos:puestos_edit' item.id %}" class="btn btn-warning btn-circle"> <i class="far fa-edit"></i> </a>                           
                            <a href="{% url 'apoyos:puestos_delete' item.id %}" class="btn btn-danger btn-circle"> <i class="fas fa-trash-alt"></i> </a>
                            <a href="{% url 'apoyos:empleados_por_puesto' item.id %}" class="btn btn-primary btn-icon-split btn-sm">
                                <span class="icon text-white-50">
                                    <i class="fas fa-user"></i>
                                </span>
                                <span class="text">Ver empleados</span>
                            </a>
                        </td>
                        
                    </tr>
                {% endfor %}
                    
            </tbody>
        </table>        -->
        {% endif %}
    </div>
</div>    

{% endblock page_content %}

{% block js_page %}
    <script>
        // llamamos al plugin datatable de jQuery
        $(document).ready( function () {
            $('.table').DataTable({
                "language": {
                    "processing": "Procesando...",
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "zeroRecords": "No se encontraron resultados",
                    "emptyTable": "Ningún dato disponible en esta tabla",
                    "infoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
                    "infoFiltered": "(filtrado de un total de _MAX_ registros)",
                    "search": "Buscar:",
                    "infoThousands": ",",
                    "loadingRecords": "Cargando...",
                    "paginate": {
                        "first": "Primero",
                        "last": "Último",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    },
                    "aria": {
                        "sortAscending": ": Activar para ordenar la columna de manera ascendente",
                        "sortDescending": ": Activar para ordenar la columna de manera descendente"
                    }
                }
            });
        });
         
    </script>
{% endblock js_page %}